Bug 144880 - CAN-2005-0069 vim unsafe temporary file usage.
Summary: CAN-2005-0069 vim unsafe temporary file usage.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vim (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050109
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-12 12:58 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 09:36:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:036 normal SHIPPED_LIVE Low: vim security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-01-12 12:58:06 UTC
*** This bug has been split off bug 144695 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.10
14:10 -------

Two insecure temporary file vulns have been reported to the debian BTS.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289560

The issues refer to the usage of temporary files using the process PID as the
"randomness".  I would not be surprised if this isn't the only scripts in vim
that do this.

Comment 1 Mark J. Cox 2005-02-15 09:36:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-036.html



Note You need to log in before you can comment on or make changes to this bug.